%define name 	mp3blaster
%define version 3.2.0
%define release 3mdk

Summary: 	Console based MP3 player
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Sound
Source: 	%{name}-%{version}.tar.bz2
URL:		http://www.stack.nl/~brama/mp3blaster/
#Requires:	liblirc0
#Requires:	libncurses5
#Requires:	libogg0
#Requires:	libsidplay1
#Requires:	libstdc++5
#Requires:	libvorbis0
Requires:	MySQL-client
Requires:	MySQL-shared
BuildRequires:	MySQL-devel
BuildRequires:	libstdc++-devel
BuildRequires:	lirc-devel
BuildRequires:	ncurses-devel
BuildRequires:	oggvorbis-devel
BuildRequires:	sidplay-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
MP3Blaster is a text console based program for playing mainly mp3
audio files. It is very interactive, and has a great list of
features. Its playlist can be divided in albums or categories
(called 'groups'), which allows for very sophisticated playback
orders.

%prep

%setup -q

%build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
export LDFLAGS=" -I%{_includedir} -I%{_includedir}/mysql -lmysqlclient"

%configure2_5x \
    --with-mysql \
    --with-mysql-includes=%{_includedir}/mysql \
    --with-mysql-libs=%{_libdir} \
    --with-lirc \
    --with-oggvorbis \
    --with-sidplay \

# it cannot handle parallell builds
make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall

# cleanup
rm -f %{buildroot}%{_datadir}/mp3blaster/charmap/chargen.c
rm -f %{buildroot}%{_datadir}/mp3blaster/charmap/maketbl.c

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS BUGS CREDITS ChangeLog FAQ INSTALL NEWS README TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/*

%changelog
* Sun Jun 6 2004 Austin Acton <austin@mandrake.org> 3.2.0-3mdk
- rebuild

* Mon Mar 01 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.2.0-2mdk
- Own dir

* Fri Nov 28 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2.0-1mdk
- 3.2.0
- added lirc support
- fix explicit-lib-dependency
- fix invalid-build-requires
- fix devel-file-in-non-devel-package 
- misc spec file fixes

* Fri May 02 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.1.3-3mdk
- rebuilt against current mysql
- fix optflags

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.1.3-2mdk
- build release

* Wed Nov 27 2002 Eriksson <oden.eriksson@kvikkjokk.net> 3.1.3-1mdk
- readded into contribs as it compiles now ;)
- misc spec file fixes

* Mon Nov 26 2001 Eriksson <oden.eriksson@kvikkjokk.net> 3.0-1mdk
- initial cooker contrib
